
import { Directive, EventEmitter, HostListener, Input, Output } from '@angular/core';

@Directive({
  selector: '[RecordKeyChord]'
})
export class RecordKeyChord {
  @Output() finishedKeyChord = new EventEmitter<string[]>;

  chordStack: string[] = [];

  @HostListener('window:keydown', ['$event'])
  handleKeyDown(event: KeyboardEvent) {
    console.log("keydown:", event);
    this.chordStack.push(event.key);
    
  }

  @HostListener('window:keyup', ['$event'])
  handleKeyUp(event: KeyboardEvent) {
    console.log("keyup:", event);
    this.finishedKeyChord.next(this.chordStack);
    this.chordStack = [];
  }

}